Bug 1256041 - Password field for CHAP Authentication displays as clear text
Password field for CHAP Authentication displays as clear text
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity unspecified
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Tal Nisan
Aharon Canan
: EasyFix, Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-23 11:05 EDT by Kevin Alon Goldblatt
Modified: 2016-03-09 16:12 EST (History)
9 users (show)

See Also:
Fixed In Version: 3.6.0-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 16:12:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine, vdsm, server logs, screen shots (1.94 MB, application/x-gzip)
2015-08-23 11:05 EDT, Kevin Alon Goldblatt
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45259 master MERGED webadmin: Hide iSCSI authentication password input Never
oVirt gerrit 45293 ovirt-engine-3.6 MERGED webadmin: Hide iSCSI authentication password input Never
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-09 20:20:52 EST

  None (edit)
Description Kevin Alon Goldblatt 2015-08-23 11:05:04 EDT
Created attachment 1066041 [details]
engine, vdsm, server logs, screen shots

Description of problem:
Entering text into the password field for Chap Authentication returns text instead of ***

Version-Release number of selected component (if applicable):
rhevm-3.6.0-0.11.master.el6.noarch - running on Rhel6.7
vdsm-4.17.2-1.el7ev.noarch - running on Rhel7.2

How reproducible:
100%


Steps to Reproduce:
1. Via the ExtremeIO server set and Authentication username and password as well as a Login username and password
2. Via Webadmin -> Add new Storage Domain -> Scsci Domain -> Enter the IP of the ExtremeIO server.
3. Check the User Authentication option ->>>>> Only a password and username field for Authentication is displayed. Enter the Authenticaion username and password >>>>> The password field returns text instead of hiding it with ***

Actual results:
The password field returns text instead of hiding it with ***

Expected results:
The password field should return ***

Additional info:
See Screen shot
Comment 1 Aharon Canan 2015-09-07 05:32:10 EDT
Verified using 3.6.0-11
Comment 3 errata-xmlrpc 2016-03-09 16:12:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html

Note You need to log in before you can comment on or make changes to this bug.